#ifndef PREBATTLESCENE_H
#define PREBATTLESCENE_H

#include <QWidget>

#include "gui/scene.h"
#include "gui/buttoneventlistener.h"

#include <vector>

namespace Ui {
class PreBattleScene;
}

class PreBattleScene : public Scene
{
    Q_OBJECT

public:
    explicit PreBattleScene(QWidget *parent = 0);
    ~PreBattleScene();

    void init() override;
private slots:
    void on_to_battle_button_clicked();

private:
    Ui::PreBattleScene *ui;
    ButtonEventListener *watcher;
};

#endif // PREBATTLESCENE_H
